SDL_trunc(3)

NAME
SDL_trunc - Truncate x to an integer.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

double SDL_trunc(double x);

DESCRIPTION
Rounds x to the next closest integer to 0. This is equivalent to removing the fractional part of x , leaving only the integer part.

Domain: -INF<=x<=INF Range: -INF<=y<=INF , y integer

This function operates on double-precision floating point values, use

SDL_truncf
 for single-precision floats.

FUNCTION PARAMETERS

x   floating point value.

RETURN VALUE
Returns x truncated to an integer.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_truncf(3), •(3), SDL_fmod(3), •(3), SDL_ceil(3), •(3), SDL_floor(3), •(3), SDL_round(3), •(3), SDL_lround(3)